Bug 1629129 - Cannot add Ansible Tower or refresh already added Ansible Tower
Summary: Cannot add Ansible Tower or refresh already added Ansible Tower
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.5
Assignee: Bronagh Sorota
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On: 1621885
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-14 21:01 UTC by Satoe Imaishi
Modified: 2018-11-05 14:00 UTC (History)
6 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1621885
Environment:
Last Closed: 2018-11-05 13:59:33 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 14:00:11 UTC

Comment 2 CFME Bot 2018-09-17 18:29:11 UTC
New commit detected on ManageIQ/manageiq-providers-ansible_tower/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/762b1b3d2b4c243704fed6193f8a9bc09bb09dde
commit 762b1b3d2b4c243704fed6193f8a9bc09bb09dde
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Sep  6 12:55:24 2018 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Sep  6 12:55:24 2018 -0400

    Merge pull request #123 from jeffwarnica/handleNoUsernameInCreds

    Deal with ansible not having a username
    (cherry picked from commit 8bdd0d0d02286aaf1b28bd51765d3d4600cef1c9)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1629129

 app/models/manageiq/providers/ansible_tower/shared/inventory/parser/automation_manager.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 Nandini Chandra 2018-10-03 22:43:25 UTC
Unable to reproduce the issue locally without fix.

Marking the BZ as VERIFIED since the fix resolved the issue for the customer.

Comment 5 errata-xmlrpc 2018-11-05 13:59:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.